<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 TRANSITIONAL//EN">
<HTML>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=UTF-8">
  <META NAME="GENERATOR" CONTENT="GtkHTML/3.26.3">
</HEAD>
<BODY>
Finnally, I got it working.<BR>
<BR>
I have one strange beahivour, but I think is better to post in leksah maillist, I did a lot of noise here.<BR>
<BR>
Cheers, and thanks a lot.<BR>
<BR>
El mi&#233;, 23-06-2010 a las 10:31 +0200, Giuseppe Luigi Punzi escribi&#243;:<BR>
<BLOCKQUOTE TYPE=CITE>
    Hi Hamish, list...<BR>
    <BR>
    El mi&#233;, 23-06-2010 a las 18:09 +1200, Hamish Mackenzie escribi&#243;: 
    <BLOCKQUOTE TYPE=CITE>
<PRE>
On 23 Jun 2010, at 10:25, Giuseppe Luigi Punzi Ruiz wrote:

&gt; I uninstalled all ports and macports, to try with gtk-osx
&gt; 
&gt; Once I did all of this, leksah builds, but leksah-server don't, with problems with version of libgthread2.

I am confused leksah depends on leksah-server so I am not sure how leksah could build but not leksah-server, unless leksah were using some old version of leksah-server installed earlier.
</PRE>
    </BLOCKQUOTE>
    <BR>
    leksah starts with a blank window, asking for parameter to reindex, but when Ok is pressed, then, a blank window appears, and closes with an error leksah-server is not running.<BR>
    <BR>
    leksah-server it suppose to be builded. I don't remember exactly, but the error gives trying to execute is something like this<BR>
    <BR>
    Dyld Error Message:Library not loaded:<BR>
    /opt/lib/libgthread-2.0.0.dylib<BR>
    Referenced from: /User/glpunzi/.cabal/bin/leksah-server<BR>
    Reason: Incompatible library version: libgthread requires version<BR>
    2501.0.0 or later, but libgthread-2.0.0.dylib provides version<BR>
    2001.0.0<BR>
    <BR>
    Now, with my mind cleared, I'm thinking, thath once I rebuilded macports with quartz support, I reinstalled gtk related packages from cabal, but, with leksah, I didn't a reinstall, only a &quot;cabal install leksah&quot;. Could be the problem, leksah-server was builded before, and for this, later is giving this kind of error?<BR>
    <BR>
    <BLOCKQUOTE TYPE=CITE>
<PRE>
&gt; I'm at &quot;jhbuild build meta-gtk-osx-bootstrap&quot; step of GTK-OSX.
&gt; 
&gt; Once the next step (&quot;jhbuild build meta-gtk-osx-core&quot;) is finished, and all is fine (and really I hope it), there are some consideration, before directly reinstall cabal gtk packages, and reinstall leksah? I ask because it sais thath jhbuild is needed to build gtk apps.

You will also need to
jhbuild build gtksourceview
jhbuild build ige-mac-integration

As for building gtk2hs, I have the following in them .profile and that seems to be enough.
export PATH=/Users/hamish/gtk/inst/bin:~/.cabal/bin:$PATH
export XDG_DATA_DIRS=~/gtk/inst/share
export PKG_CONFIG_PATH=~/gtk/inst/lib/pkgconfig:/usr/lib/pkgconfig

Alternatively you could probably use 'jhbuild shell' to set up the environment for you.

Then of course you will need to run...

cabal install --reinstall glib
cabal install --reinstall gio
cabal install --reinstall cairo
cabal install --reinstall pango
cabal install --reinstall gtk
cabal install --reinstall gtksourceview

If you do have half installed Leksah libs then run this...
cabal install --reinstall ltk
cabal install --reinstall leksah-server
cabal install --reinstall leksah

You can make Leksah look a bit nicer too with
jhbuild build gtk-engines

Then to your ~/.gtkrc-2.0 file (or your ~/.gtkrc.mine file if if appropriate) add something like...

include &quot;/Users/hamish/gtk/inst/share/themes/Clearlooks/gtk-2.0/gtkrc&quot;

style &quot;leksah-close-button-style&quot;
{
  GtkWidget::focus-padding = 0
  GtkWidget::focus-line-width = 0
  xthickness = 0 
  ythickness = 0 
}
widget &quot;*.leksah-close-button&quot; style &quot;leksah-close-button-style&quot;
</PRE>
    </BLOCKQUOTE>
    <BR>
    Thanks a lot. I will check later at home. I throw &quot;jhbuild build meta-gtk-osx-core&quot;, and, when I went to bed, it stopped with some error AFAIR. I will check it :( <BR>
    <BR>
    &gt;From Linux all ok. From Windows seems ok too, but Macos, always gives me problems with this kind of things.. Seems thath something in the air, stops me to learn haskell + GUI development :P<BR>
    <BR>
    <BR>
<PRE>
_______________________________________________
Haskell-Cafe mailing list
<A HREF="mailto:Haskell-Cafe@haskell.org">Haskell-Cafe@haskell.org</A>
<A HREF="http://www.haskell.org/mailman/listinfo/haskell-cafe">http://www.haskell.org/mailman/listinfo/haskell-cafe</A>
</PRE>
</BLOCKQUOTE>
</BODY>
</HTML>